> This page is optimized for agents. Use the linked Markdown pages and llms.txt indexes for related API content.

# Get QennerTourOperator entities.

- Product: Qenner
- Section: Integration - Qenner
- Snapshot: Current
- Method: `GET`
- Path: `/api/qenner/tour_operators/`

## Query parameters

### `tourOperatorSpecification`

Type: `number`  
Required: no  

### `accommodationPriceComponentGroup`

Type: `number`  
Required: no  

## Execute with TypeScript

Package: `@recranet/sdk`  

```ts
import { RecranetApiClient } from "@recranet/sdk";

const client = new RecranetApiClient({ apiKey: process.env.RECRANET_API_KEY! });

const result = await client.qenner.tourOperators.list();
```

## Execute with curl

```bash
curl "https://app.recranet.com/api/qenner/tour_operators/" \
    -H "X-Api-Key: $RECRANET_API_KEY"
```

## Responses

### Response `200`

Category: success  

Successful response

#### `application/json`

##### Generated example

```json
[
  {
    "id": 0,
    "created": "created",
    "tourOperatorSpecification": {
      "id": 0,
      "type": "type",
      "name": "name"
    },
    "accommodationPriceComponentGroup": {
      "id": 0,
      "description": "description",
      "default": true,
      "created": "created",
      "modified": "modified"
    },
    "modified": "modified"
  }
]
```

##### Schema

###### QennerTourOperator[]

Type: `QennerTourOperator[]`  

###### QennerTourOperator

Type: `QennerTourOperator`  

###### `id`

Type: `number`  
Required: yes  

###### `created`

Type: `string`  
Format: `date-time`  
Required: yes  

###### `modified`

Type: `string`  
Format: `date-time`  
Required: no  

###### `tourOperatorSpecification`

Type: `QennerTourOperatorSpecification`  
Required: yes  

###### `id`

Type: `number`  
Required: yes  

###### `type`

Type: `string`  
Required: yes  

###### `name`

Type: `string`  
Required: yes  

###### `accommodationPriceComponentGroup`

Type: `AccommodationPriceComponentGroup`  
Required: yes  

###### `id`

Type: `number`  
Required: yes  

###### `description`

Type: `string`  
Required: yes  

###### `default`

Type: `boolean`  
Required: yes  

###### `created`

Type: `string`  
Format: `date-time`  
Required: yes  

###### `modified`

Type: `string`  
Format: `date-time`  
Required: no  

## Related representations

- [Human documentation](/qenner/tour-operators/methods/list/)
- [TypeScript Markdown](/qenner/tour-operators/methods/list.md?lang=typescript)
- [curl Markdown](/qenner/tour-operators/methods/list.md?lang=curl)
- [site llms.txt](/llms.txt)
- [product llms.txt](/qenner/llms.txt)
- [snapshot llms.txt](/qenner/llms.txt)
